Inserts new purchase
curl --request POST \
--url https://api.s15x.dev/database/upset-purchase \
--header 'API-Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"robloxId": "<string>",
"productId": "<string>",
"fulfill": true
}
'import requests
url = "https://api.s15x.dev/database/upset-purchase"
payload = {
"robloxId": "<string>",
"productId": "<string>",
"fulfill": True
}
headers = {
"API-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'API-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({robloxId: '<string>', productId: '<string>', fulfill: true})
};
fetch('https://api.s15x.dev/database/upset-purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Purchase upserted successfully"
}{
"error": "Bad Request: Missing robloxId or productId in request body"
}{
"error": "Forbidden: Invalid API Key"
}{
"error": "<string>"
}Purchases
Upsert Purchase
WARNING: this api will insert and fulfill / complete purchases
Inserts new purchases for user
POST
/
database
/
upset-purchase
Inserts new purchase
WARNING: this api will insert and fulfill / complete purchases
Authorizations
Required: API key to access
Response
The request was successful, and the server has returned the requested resource in the response body.
Example:
"Purchase upserted successfully"
⌘I